package com.storlead.framework.annotate;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

@Target(ElementType.FIELD)
@Retention(RetentionPolicy.RUNTIME)
public @interface Dict {
    /**
     * 字典编码
     */
    String dictCode();
    /**
     * KEY字段
     * @return
     */
    String keyField() default "";
    /**
     * 赋值字段
     * @return
     */
    String valueField() default "";
    /**
     * 是否多字典
     * @return
     */
    boolean multiple() default false;

    String des() default "";
}
